pim_user_user_rest_get_current:
    path: /
    defaults: { _controller: pim_user.controller.user_rest:getCurrentAction }
    methods: [GET]

pim_user_user_rest_get:
    path: /{identifier}
    defaults: { _controller: pim_user.controller.user_rest:getAction }
    methods: [GET]
    requirements:
        identifier: '\d+'

pim_user_user_rest_post:
    path: /{identifier}
    defaults: { _controller: pim_user.controller.user_rest:postAction }
    methods: [POST]
    requirements:
        identifier: '\d+'

pim_user_user_rest_profile:
    path: /{identifier}/profile
    defaults: { _controller: pim_user.controller.user_rest:updateProfileAction }
    methods: [POST]
    requirements:
        identifier: '\d+'

pim_user_user_rest_create:
    path: /
    defaults: { _controller: pim_user.controller.user_rest:createAction }
    methods: [POST]

pim_user_user_rest_delete:
    path: /{identifier}
    defaults: { _controller: pim_user.controller.user_rest:deleteAction }
    methods: [DELETE]
    requirements:
        identifier: '\d+'

pim_user_user_rest_duplicate:
    path: /{identifier}/duplicate
    defaults: { _controller: pim_user.controller.user_rest:duplicateAction }
    methods: [POST]
    requirements:
        identifier: '\d+'

pim_user_rest_find_all_profiles:
    path: /profiles
    defaults: {_controller: Akeneo\UserManagement\Bundle\Controller\Rest\FindAllProfilesController}
    methods: [GET]
